// ATLObject.h : Declaration of the CATLObject

#pragma once
#include "resource.h"       // main symbols

#include "ArticleSubmitter.h"


// CATLObject

class ATL_NO_VTABLE CATLObject : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CATLObject, &CLSID_ATLObject>,
	public IDispatchImpl<IATLObject, &IID_IATLObject, &LIBID_ArticleSubmitterLib, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
public:
	CATLObject()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_ATLOBJECT)


BEGIN_COM_MAP(CATLObject)
	COM_INTERFACE_ENTRY(IATLObject)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:

};

OBJECT_ENTRY_AUTO(__uuidof(ATLObject), CATLObject)
